Package org.zkoss.stateless.util

## Interface ActionHandler1<A>

- All Superinterfaces:
    `ActionHandler`, `CheckedConsumer<A>`, `java.io.Serializable`
  All Known Subinterfaces:
    `ActionType.OnAcrossPage1<A>`, `ActionType.OnAdjustCols1<A>`, `ActionType.OnAdjustFrozenCols1<A>`, `ActionType.OnAdjustRows1<A>`, `ActionType.OnAfterRender1<A>`, `ActionType.OnAfterSize1<A>`, `ActionType.OnAnchorPos1<A>`, `ActionType.OnBlur1<A>`, `ActionType.OnBookmarkChange1<A>`, `ActionType.OnCameraUnavailable1<A>`, `ActionType.OnCancel1<A>`, `ActionType.OnCellClick1<A>`, `ActionType.OnChange1<A>`, `ActionType.OnChanging1<A>`, `ActionType.OnCheck1<A>`, `ActionType.OnCheckSelectAll1<A>`, `ActionType.OnClear1<A>`, `ActionType.OnClick1<A>`, `ActionType.OnClientInfo1<A>`, `ActionType.OnClose1<A>`, `ActionType.OnColSize1<A>`, `ActionType.OnCreate1<A>`, `ActionType.OnCrop1<A>`, `ActionType.OnCtrlKey1<A>`, `ActionType.OnDataLoading1<A>`, `ActionType.OnDeferredEvaluation1<A>`, `ActionType.OnDesktopRecycle1<A>`, `ActionType.OnDetect1<A>`, `ActionType.OnDivisionSize1<A>`, `ActionType.OnDoubleClick1<A>`, `ActionType.OnDrop1<A>`, `ActionType.OnError1<A>`, `ActionType.OnFocus1<A>`, `ActionType.OnFulfill1<A>`, `ActionType.OnGroup1<A>`, `ActionType.OnHistoryPopState1<A>`, `ActionType.OnInnerWidth1<A>`, `ActionType.OnItemClick1<A>`, `ActionType.OnLengthLimitExceed1<A>`, `ActionType.OnMaxFileCountExceed1<A>`, `ActionType.OnMaximize1<A>`, `ActionType.OnMaxsizeExceed1<A>`, `ActionType.OnMinimize1<A>`, `ActionType.OnModal1<A>`, `ActionType.OnMouseOut1<A>`, `ActionType.OnMouseOver1<A>`, `ActionType.OnMove1<A>`, `ActionType.OnNotify1<A>`, `ActionType.OnOK1<A>`, `ActionType.OnOpen1<A>`, `ActionType.OnPageSize1<A>`, `ActionType.OnPaging1<A>`, `ActionType.OnPiggyback1<A>`, `ActionType.OnPortalDrop1<A>`, `ActionType.OnPortalMove1<A>`, `ActionType.OnRangeValueChange1<A>`, `ActionType.OnRender1<A>`, `ActionType.OnRightClick1<A>`, `ActionType.OnRotate1<A>`, `ActionType.OnSave1<A>`, `ActionType.OnScriptError1<A>`, `ActionType.OnScroll1<A>`, `ActionType.OnScrolling1<A>`, `ActionType.OnScrollPos1<A>`, `ActionType.OnScrollX1<A>`, `ActionType.OnScrollY1<A>`, `ActionType.OnSearch1<A>`, `ActionType.OnSearching1<A>`, `ActionType.OnSelect1<A>`, `ActionType.OnSelection1<A>`, `ActionType.OnSelectSubModel1<A>`, `ActionType.OnSize1<A>`, `ActionType.OnSlide1<A>`, `ActionType.OnSnapshotUpload1<A>`, `ActionType.OnSort1<A>`, `ActionType.OnStateChange1<A>`, `ActionType.OnStub1<A>`, `ActionType.OnSwipe1<A>`, `ActionType.OnTargetClick1<A>`, `ActionType.OnTimer1<A>`, `ActionType.OnTimeZoneChange1<A>`, `ActionType.OnTopPad1<A>`, `ActionType.OnUngroup1<A>`, `ActionType.OnUpload1<A>`, `ActionType.OnURIChange1<A>`, `ActionType.OnUser1<A>`, `ActionType.OnVisibilityChange1<A>`, `ActionType.OnWeekClick1<A>`, `ActionType.OnZIndex1<A>`
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface ActionHandler1<A>
      extends CheckedConsumer<A>, ActionHandler

  Represents an action handler with one argument.
  Author:
    jumperchen

- - ### Field Summary

    - ### Fields inherited from interface org.zkoss.stateless.util.ActionHandler

      `CACHE_SIZE, DEFAULT_VALUES, LOADED_CLASS_CACHE, LOADED_LAMBDA_CACHE, LOADED_METHOD_CACHE`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default int` | `getParameterCount()` | Returns the parameter count for this action handler.

    - ### Methods inherited from interface org.zkoss.stateless.util.ActionHandler

      `call, call`

    - ### Methods inherited from interface org.zkoss.stateless.function.CheckedConsumer

      `accept, andThen`

- - ### Method Detail

    - #### getParameterCount

          default int getParameterCount()

      Description copied from interface: `ActionHandler`
      Returns the parameter count for this action handler.
      Specified by:
        `getParameterCount` in interface `ActionHandler`
      Returns:
        A number of parameters of a lambda method or a method reference.